## wxwidgets3.2 3.2.2+dfsg

=== build/cmake/samples/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/samples/CMakeLists.txt
# Purpose:     CMake script to build samples
# Author:      Tobias Taschner
# Created:     2016-10-04
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

wx_add_sample(access accesstest.cpp DEPENDS wxUSE_ACCESSIBILITY)
wx_add_sample(animate anitest.cpp anitest.h DATA throbber.gif hourglass.ani DEPENDS wxUSE_ANIMATIONCTRL)
wx_add_sample(archive CONSOLE)
wx_add_sample(artprov arttest.cpp artbrows.cpp artbrows.h)
wx_add_sample(aui auidemo.cpp LIBRARIES wxaui wxhtml NAME auidemo DEPENDS wxUSE_AUI)
wx_add_sample(calendar DEPENDS wxUSE_CALENDARCTRL)
wx_add_sample(caret DEPENDS wxUSE_CARET)
wx_add_sample(clipboard DEPENDS wxUSE_CLIPBOARD)
wx_add_sample(collpane DEPENDS wxUSE_COLLPANE)
wx_add_sample(combo DATA dropbuth.svg dropbutn.svg dropbutp.svg three-dots.svg DEPENDS wxUSE_COMBOCTRL)
wx_add_sample(config conftest.cpp DEPENDS wxUSE_CONFIG)
wx_add_sample(console CONSOLE IMPORTANT)
wx_add_sample(dataview IMPORTANT dataview.cpp mymodels.cpp mymodels.h DEPENDS wxUSE_DATAVIEWCTRL)
if(wxUSE_ON_FATAL_EXCEPTION AND (NOT WIN32 OR MSVC))
    wx_add_sample(debugrpt LIBRARIES wxqa DEPENDS wxUSE_DEBUGREPORT)
endif()
set(SAMPLE_DIALOGS_SRC dialogs.cpp dialogs.h)
if(NOT wxBUILD_SHARED AND (WXMSW OR APPLE)) # AND NOT WXUNIV
    wx_list_add_prefix(SAMPLE_DIALOGS_SRC ../../src/generic/ colrdlgg.cpp dirdlgg.cpp filedlgg.cpp)
    if(WXMSW)
        wx_list_add_prefix(SAMPLE_DIALOGS_SRC ../../src/generic/ fontdlgg.cpp)
    endif()
endif()
if(WXGTK2)
    wx_list_add_prefix(SAMPLE_DIALOGS_SRC ../../src/generic/ filedlgg.cpp)
endif()
wx_add_sample(dialogs ${SAMPLE_DIALOGS_SRC} DATA tips.txt)
wx_add_sample(dialup nettest.cpp LIBRARIES wxnet DEPENDS wxUSE_DIALUP_MANAGER)
wx_add_sample(display)
wx_add_sample(dnd dnd.cpp RES dnd.rc DATA wxwin.png DEPENDS wxUSE_DRAG_AND_DROP)
wx_add_sample(docview docview.cpp doc.cpp view.cpp docview.h doc.h view.h
    RES docview.rc PLIST Info.plist.in LIBRARIES wxaui DEPENDS wxUSE_DOC_VIEW_ARCHITECTURE)
wx_add_sample(dragimag dragimag.cpp dragimag.h RES dragimag.rc
    DATA backgrnd.png shape01.png shape02.png shape03.png
    DEPENDS wxUSE_DRAGIMAGE)
wx_add_sample(drawing DATA pat4.bmp pat35.bmp pat36.bmp image.bmp mask.bmp NAME drawingsample)
wx_add_sample(erase)
wx_add_sample(event event.cpp gestures.cpp gestures.h chessboard.cpp chessboard.h)
wx_add_sample(except DEPENDS wxUSE_EXCEPTIONS)
wx_add_sample(exec)
wx_add_sample(font DATA wxprivate.ttf)
wx_add_sample(fswatcher DEPENDS wxUSE_FSWATCHER)
wx_add_sample(grid griddemo.cpp griddemo.h DEPENDS wxUSE_GRID)

wx_list_add_prefix(HELP_DOC_FILES doc/
    aindex.html down.gif dxxgifs.tex HIER.html icon1.gif icon2.gif index.html
    logo.gif wx204.htm wx34.htm wxExtHelpController.html wxhelp.map wx.htm
    )
wx_add_sample(help demo.cpp LIBRARIES wxhtml
    DATA
    back.gif bullet.bmp contents.gif cshelp.txt doc.chm doc.cnt doc.hhc
    doc.hhk doc.hhp doc.hlp doc.hpj doc.zip forward.gif up.gif
    ${HELP_DOC_FILES}
    NAME helpdemo
    DEPENDS wxUSE_HELP
    )
wx_add_sample(htlbox LIBRARIES wxhtml DEPENDS wxUSE_HTML)
if(wxUSE_HTML)
    include(html.cmake)
endif()
wx_add_sample(image image.cpp canvas.cpp canvas.h cursor_png.c RES image.rc
    DATA horse.png horse.jpg horse.bmp horse.gif horse.pcx horse.pnm
    horse_ag.pnm horse_rg.pnm horse.tif horse.tga horse.xpm horse.cur
    horse.ico horse3.ani horse.svg smile.xbm toucan.png cmyk.jpg cursor.png
    NAME imagesample DEPENDS wxUSE_IMAGE)
foreach(lang ar bg cs de fr it ka pl ru sv ja ja_JP.EUC-JP)
    list(APPEND INTERNAT_DATA_FILES ${lang}/internat.po ${lang}/internat.mo)
endforeach()
wx_add_sample(internat DATA ${INTERNAT_DATA_FILES} PLIST Info.plist.in DEPENDS wxUSE_INTL)
# IPC samples
set(wxSAMPLE_FOLDER ipc)
wx_add_sample(ipc client.cpp client.h connection.h ipcsetup.h NAME ipcclient LIBRARIES wxnet DEPENDS wxUSE_IPC)
wx_add_sample(ipc server.cpp server.h connection.h ipcsetup.h NAME ipcserver LIBRARIES wxnet DEPENDS wxUSE_IPC)
wx_add_sample(ipc CONSOLE baseclient.cpp connection.h ipcsetup.h NAME baseipcclient LIBRARIES wxnet DEPENDS wxUSE_IPC)
wx_add_sample(ipc CONSOLE baseserver.cpp connection.h ipcsetup.h NAME baseipcserver LIBRARIES wxnet DEPENDS wxUSE_IPC)
set(wxSAMPLE_FOLDER)
wx_add_sample(joytest joytest.cpp joytest.h DATA buttonpress.wav DEPENDS wxUSE_JOYSTICK)
wx_add_sample(keyboard)
wx_add_sample(layout layout.cpp layout.h)
wx_add_sample(listctrl listtest.cpp listtest.h RES listtest.rc DEPENDS wxUSE_LISTCTRL)
wx_add_sample(mdi mdi.cpp mdi.h RES mdi.rc DEPENDS wxUSE_MDI wxUSE_DOC_VIEW_ARCHITECTURE wxUSE_MDI_ARCHITECTURE)
wx_add_sample(mediaplayer LIBRARIES wxmedia DEPENDS wxUSE_MEDIACTRL)
if(wxBUILD_DEBUG_LEVEL STREQUAL "Default" OR wxBUILD_DEBUG_LEVEL GREATER 0)
    wx_add_sample(memcheck)
endif()
wx_add_sample(menu DEPENDS wxUSE_MENUS wxUSE_MENUBAR)
wx_add_sample(minimal IMPORTANT)
wx_add_sample(notebook notebook.cpp notebook.h LIBRARIES wxaui DEPENDS wxUSE_NOTEBOOK)
if(wxUSE_OPENGL)
    set(wxSAMPLE_SUBDIR opengl/)
    set(wxSAMPLE_FOLDER OpenGL)
    wx_add_sample(cube cube.cpp cube.h LIBRARIES wxgl)
    wx_add_sample(isosurf isosurf.cpp isosurf.h LIBRARIES wxgl DATA isosurf.dat.gz)
    wx_add_sample(penguin
        penguin.cpp dxfrenderer.cpp trackball.c
        dxfrenderer.h penguin.h trackball.h
        LIBRARIES wxgl
        DATA penguin.dxf.gz)
    wx_add_sample(pyramid
        pyramid.cpp oglstuff.cpp mathstuff.cpp oglpfuncs.cpp
        pyramid.h oglstuff.h mathstuff.h oglpfuncs.h
        LIBRARIES wxgl)
    set(wxSAMPLE_SUBDIR)
    set(wxSAMPLE_FOLDER)
endif()
wx_add_sample(ownerdrw RES ownerdrw.rc DATA sound.png nosound.png DEPENDS wxUSE_OWNER_DRAWN)
wx_add_sample(popup DEPENDS wxUSE_POPUPWIN)
wx_add_sample(power)
wx_add_sample(preferences DEPENDS wxUSE_PREFERENCES_EDITOR)
wx_add_sample(printing printing.cpp printing.h DEPENDS wxUSE_PRINTING_ARCHITECTURE)
wx_add_sample(propgrid propgrid.cpp propgrid_minimal.cpp sampleprops.cpp
    tests.cpp sampleprops.h propgrid.h LIBRARIES wxpropgrid NAME propgriddemo DEPENDS wxUSE_PROPGRID)
wx_add_sample(render FOLDER render)
wx_add_sample(render DLL renddll.cpp NAME renddll FOLDER render)
wx_add_sample(ribbon ribbondemo.cpp LIBRARIES wxribbon NAME ribbondemo DEPENDS wxUSE_RIBBON)
wx_add_sample(richtext LIBRARIES wxrichtext wxhtml wxxml NAME richtextdemo DEPENDS wxUSE_XML wxUSE_RICHTEXT)
wx_add_sample(sashtest sashtest.cpp sashtest.h RES sashtest.rc DEPENDS wxUSE_SASH)
wx_add_sample(scroll)
wx_add_sample(secretstore CONSOLE DEPENDS wxUSE_SECRETSTORE)
wx_add_sample(shaped DATA star.png)
if(wxUSE_SOCKETS)
    wx_add_sample(sockets client.cpp NAME client LIBRARIES wxnet FOLDER sockets)
    wx_add_sample(sockets server.cpp NAME server LIBRARIES wxnet FOLDER sockets)
    wx_add_sample(sockets CONSOLE baseclient.cpp NAME baseclient LIBRARIES wxnet FOLDER sockets)
    wx_add_sample(sockets CONSOLE baseserver.cpp NAME baseserver LIBRARIES wxnet FOLDER sockets)
endif()
wx_add_sample(sound RES sound.rc DATA 9000g.wav cuckoo.wav doggrowl.wav tinkalink2.wav DEPENDS wxUSE_SOUND)
wx_add_sample(splash DATA splash.png press.mpg DEPENDS wxUSE_SPLASH)
if(TARGET splash AND wxUSE_MEDIACTRL)
    wx_exe_link_libraries(splash wxmedia)
endif()
wx_add_sample(splitter DEPENDS wxUSE_SPLITTER)
wx_add_sample(statbar DEPENDS wxUSE_STATUSBAR)
wx_add_sample(stc stctest.cpp edit.cpp prefs.cpp edit.h defsext.h prefs.h
    DATA stctest.cpp NAME stctest LIBRARIES wxstc DEPENDS wxUSE_STC)
wx_add_sample(svg svgtest.cpp RES svgtest.rc DEPENDS wxUSE_SVG)
wx_add_sample(taborder)
wx_add_sample(taskbar tbtest.cpp tbtest.h DATA info.svg DEPENDS wxUSE_TASKBARICON)
wx_add_sample(text DEPENDS wxUSE_TEXTCTRL)
wx_add_sample(thread DEPENDS wxUSE_THREADS)
wx_add_sample(toolbar RES toolbar.rc DEPENDS wxUSE_TOOLBAR)
wx_add_sample(treectrl treetest.cpp treetest.h DEPENDS wxUSE_TREECTRL)
wx_add_sample(treelist DEPENDS wxUSE_TREELISTCTRL)
wx_add_sample(typetest typetest.cpp typetest.h)
wx_add_sample(uiaction DEPENDS wxUSE_UIACTIONSIMULATOR)
wx_add_sample(validate validate.cpp validate.h DEPENDS wxUSE_VALIDATORS)
wx_add_sample(vscroll vstest.cpp)
wx_add_sample(webview LIBRARIES wxwebview
    DATA ../help/doc.zip:doc.zip
    NAME webviewsample DEPENDS wxUSE_WEBVIEW)
if(TARGET webviewsample AND wxUSE_STC)
    wx_exe_link_libraries(webviewsample wxstc)
endif()
wx_add_sample(webrequest LIBRARIES wxnet DEPENDS wxUSE_WEBREQUEST)
# widgets Sample
set(SAMPLE_WIDGETS_SRC
    activityindicator.cpp
    bmpcombobox.cpp
    button.cpp
    checkbox.cpp
    choice.cpp
    clrpicker.cpp
    combobox.cpp
    datepick.cpp
    dirctrl.cpp
    dirpicker.cpp
    editlbox.cpp
    filectrl.cpp
    filepicker.cpp
    fontpicker.cpp
    gauge.cpp
    headerctrl.cpp
    hyperlnk.cpp
    itemcontainer.cpp
    listbox.cpp
    native.cpp
    notebook.cpp
    odcombobox.cpp
    radiobox.cpp
    searchctrl.cpp
    slider.cpp
    spinbtn.cpp
    static.cpp
    statbmp.cpp
    textctrl.cpp
    timepick.cpp
    toggle.cpp
    widgets.cpp
    widgets.h
    itemcontainer.h
    )
if(APPLE)
    # The source file using native controls uses Cocoa under OS X, so it must
    # be compiled as Objective C++ which means it must have .mm extension.
    # But this would make it uncompilable under the other platforms and we
    # don't want to have two files with identical contents. Hence this hack:
    # we have native.mm which just includes native.cpp under OS X, while
    # elsewhere we just compile native.cpp directly.
    list(APPEND SAMPLE_WIDGETS_SRC native_wrapper.mm)
endif()
wx_list_add_prefix(WIDGETS_RC_FILES icons/
    activityindicator.xpm bmpbtn.xpm bmpcombobox.xpm button.xpm
    checkbox.xpm choice.xpm choicebk.xpm clrpicker.xpm
    combobox.xpm datepick.xpm dirctrl.xpm dirpicker.xpm
    filepicker.xpm fontpicker.xpm gauge.xpm header.xpm
    hyperlnk.xpm listbook.xpm listbox.xpm native.xpm
    notebook.xpm odcombobox.xpm radiobox.xpm scrolbar.xpm
    slider.xpm spinbtn.xpm statbmp.xpm statbox.xpm
    stattext.xpm text.xpm timepick.xpm toggle.xpm
    )
wx_add_sample(widgets IMPORTANT ${SAMPLE_WIDGETS_SRC}
    DATA ${WIDGETS_RC_FILES} textctrl.cpp ../image/toucan.png:toucan.png
    )
# includes needed by the native widget (like gtk.h)
target_include_directories(widgets PRIVATE ${wxTOOLKIT_INCLUDE_DIRS})
wx_add_sample(wizard DATA wiztest.svg wiztest2.svg DEPENDS wxUSE_WIZARDDLG)
wx_add_sample(wrapsizer)

wx_list_add_prefix(XRC_RC_FILES rc/
    aui.xpm aui.xrc
    artprov.xpm artprov.xrc basicdlg.xpm
    basicdlg.xrc controls.xpm controls.xrc custclas.xpm custclas.xrc
    derivdlg.xpm derivdlg.xrc fileopen.gif filesave.gif frame.xrc
    fuzzy.gif menu.xrc platform.xpm platform.xrc quotes.gif
    resource.xrc toolbar.xrc uncenter.xpm
    objref.xrc objrefdlg.xpm
    uncenter.xrc update.gif
    variable.xpm variable.xrc
    variants.xpm variants.xrc
    throbber.gif stop.xpm
    stop_2x.xpm wxbanner.gif
    )
wx_add_sample(xrc
    xrcdemo.cpp
    myframe.cpp
    derivdlg.cpp
    custclas.cpp
    objrefdlg.cpp
    derivdlg.h
    xrcdemo.h
    myframe.h
    custclas.h
    objrefdlg.h
    DATA ${XRC_RC_FILES}
    LIBRARIES wxaui wxribbon wxxrc wxhtml
    NAME xrcdemo
    DEPENDS wxUSE_XML wxUSE_XRC
    )
wx_add_sample(xti xti.cpp classlist.cpp codereadercallback.cpp
    classlist.h codereadercallback.h LIBRARIES wxxml
    DEPENDS wxUSE_XML wxUSE_EXTENDED_RTTI)

if(WIN32)
    # Windows only samples

    # DLL Sample
    if(wxUSE_DYNLIB_CLASS)
        wx_add_sample(dll DLL my_dll.cpp my_dll.h NAME my_dll FOLDER dll
            DEFINITIONS MY_DLL_BUILDING)
        if(NOT wxBUILD_SHARED)
            # this test only makes sense with statically built wx, otherwise
            # the same copy of wx would be used
            wx_add_sample(dll wx_exe.cpp my_dll.h NAME wx_exe FOLDER dll)
            wx_link_sample_libraries(wx_exe my_dll)
        endif()

=== build/cmake/benchmarks/bench_graphics/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/benchmarks/bench_graphics/CMakeLists.txt
# Purpose:     CMake file for benchmarks
# Author:      Maarten Bent
# Created:     2021-02-07
# Copyright:   (c) 2021 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

set(BENCH_GRAPGICS_SRC
    graphics.cpp
    )

wx_add_benchmark(bench_graphics CONSOLE_GUI ${BENCH_GRAPGICS_SRC})

if(wxUSE_OPENGL)
    wx_exe_link_libraries(bench_graphics wxgl)
endif()

=== build/cmake/benchmarks/bench_gui/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/benchmarks/bench_gui/CMakeLists.txt
# Purpose:     CMake file for benchmarks
# Author:      Maarten Bent
# Created:     2021-02-07
# Copyright:   (c) 2021 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

set(BENCH_GUI_SRC
    bench.cpp
    bench.h
    display.cpp
    image.cpp
    )

set(IMAGE_DATA
    ../../samples/image/horse.bmp:horse.bmp
    ../../samples/image/horse.jpg:horse.jpg
    ../../samples/image/horse.png:horse.png
    ../../samples/image/horse.tif:horse.tif
    )

wx_add_benchmark(bench_gui CONSOLE_GUI ${BENCH_GUI_SRC} DATA ${IMAGE_DATA})

=== build/cmake/lib/adv/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/lib/adv/CMakeLists.txt
# Purpose:     CMake file for adv library
# Author:      Tobias Taschner
# Created:     2016-10-03
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

wx_add_library(wxadv "${wxSOURCE_DIR}/src/common/dummy.cpp")

=== build/cmake/lib/aui/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/lib/aui/CMakeLists.txt
# Purpose:     CMake file for aui library
# Author:      Tobias Taschner
# Created:     2016-10-04
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

wx_append_sources(AUI_FILES AUI_CMN)

if(WXMSW)
    wx_append_sources(AUI_FILES AUI_MSW)
elseif(WXGTK2)
    wx_append_sources(AUI_FILES AUI_GTK)
endif()

wx_add_library(wxaui ${AUI_FILES})

=== build/cmake/lib/webview/CMakeLists.txt ===
#############################################################################
# Name:        build/cmake/lib/webview/CMakeLists.txt
# Purpose:     CMake file for webview library
# Author:      Tobias Taschner
# Created:     2016-10-03
# Copyright:   (c) 2016 wxWidgets development team
# Licence:     wxWindows licence
#############################################################################

function(wx_webview_copy_webview2_loader target)
    if(NOT WXMSW OR NOT wxUSE_WEBVIEW_EDGE OR NOT TARGET ${target})
        return()
    endif()

    if(CMAKE_SIZEOF_VOID_P EQUAL 4)
        set(WEBVIEW2_ARCH x86)
    else()
        set(WEBVIEW2_ARCH x64)
    endif()

    add_custom_command(TARGET ${target} POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "${WEBVIEW2_PACKAGE_DIR}/build/native/${WEBVIEW2_ARCH}/WebView2Loader.dll"
        "$<TARGET_FILE_DIR:${target}>/WebView2Loader.dll")
endfunction()


wx_append_sources(WEBVIEW_FILES WEBVIEW_CMN)

if(WXMSW)
    wx_append_sources(WEBVIEW_FILES WEBVIEW_MSW)
elseif(WXGTK)
    if(wxUSE_WEBVIEW_WEBKIT2)
        wx_append_sources(WEBVIEW_FILES WEBVIEW2_GTK)
    elseif(wxUSE_WEBVIEW_WEBKIT)
        wx_append_sources(WEBVIEW_FILES WEBVIEW_GTK)
    endif()
elseif(APPLE)
    wx_append_sources(WEBVIEW_FILES WEBVIEW_OSX_SHARED)
endif()

wx_add_library(wxwebview ${WEBVIEW_FILES})

if(APPLE)
    wx_lib_link_libraries(wxwebview PUBLIC "-framework WebKit")
elseif(WXMSW)
    if(wxUSE_WEBVIEW_EDGE)
        # Update the following variables if updating WebView2 SDK
        set(WEBVIEW2_VERSION "1.0.705.50")
        set(WEBVIEW2_URL "https://www.nuget.org/api/v2/package/Microsoft.Web.WebView2/${WEBVIEW2_VERSION}")
        set(WEBVIEW2_SHA256 "6a34bb553e18cfac7297b4031f3eac2558e439f8d16a45945c22945ac404105d")

        set(WEBVIEW2_DEFAULT_PACKAGE_DIR "${CMAKE_CURRENT_BINARY_DIR}/packages/Microsoft.Web.WebView2.${WEBVIEW2_VERSION}")

        if(NOT EXISTS ${WEBVIEW2_PACKAGE_DIR})
            unset(WEBVIEW2_PACKAGE_DIR CACHE)
        endif()
        find_path(WEBVIEW2_PACKAGE_DIR
            NAMES build/native/include/WebView2.h
            PATHS
                "${PROJECT_SOURCE_DIR}/3rdparty/webview2"
                ${WEBVIEW2_DEFAULT_PACKAGE_DIR}
        )

        if (NOT WEBVIEW2_PACKAGE_DIR)
            message(STATUS "WebView2 SDK not found locally, downloading...")
            set(WEBVIEW2_PACKAGE_DIR ${WEBVIEW2_DEFAULT_PACKAGE_DIR} CACHE PATH "WebView2 SDK PATH" FORCE)
            file(DOWNLOAD
                ${WEBVIEW2_URL}
                ${CMAKE_CURRENT_BINARY_DIR}/webview2.nuget
                EXPECTED_HASH SHA256=${WEBVIEW2_SHA256})
            file(MAKE_DIRECTORY ${WEBVIEW2_PACKAGE_DIR})
            execute_process(COMMAND
                "${CMAKE_COMMAND}" -E tar x "${CMAKE_CURRENT_BINARY_DIR}/webview2.nuget"
                WORKING_DIRECTORY "${WEBVIEW2_PACKAGE_DIR}"
            )
        endif()
        set(WEBVIEW2_PACKAGE_DIR ${WEBVIEW2_PACKAGE_DIR} CACHE INTERNAL "" FORCE)

        wx_lib_include_directories(wxwebview "${WEBVIEW2_PACKAGE_DIR}/build/native/include")
        if(NOT MSVC)
            wx_lib_include_directories(wxwebview "${wxSOURCE_DIR}/include/wx/msw/wrl")
            if (NOT wxBUILD_MONOLITHIC)
                target_compile_options(wxwebview PRIVATE -Wno-unknown-pragmas)
            endif()
        endif()

        if (wxUSE_WEBVIEW_EDGE_STATIC)
            target_link_directories(wxwebview PUBLIC
                $<BUILD_INTERFACE:${WEBVIEW2_PACKAGE_DIR}/build/native/$(LibrariesArchitecture)/>
            )
        else()
            wx_webview_copy_webview2_loader(wxwebview)
        endif()

    endif()
elseif(WXGTK)
    if(LIBSOUP_FOUND)
        wx_lib_include_directories(wxwebview ${LIBSOUP_INCLUDE_DIRS})
        wx_lib_link_libraries(wxwebview PUBLIC ${LIBSOUP_LIBRARIES})
    endif()
    if(wxUSE_WEBVIEW_WEBKIT2)
        wx_lib_include_directories(wxwebview ${WEBKIT2_INCLUDE_DIR})
        wx_lib_link_libraries(wxwebview PUBLIC ${WEBKIT2_LIBRARIES})
    elseif(wxUSE_WEBVIEW_WEBKIT)
        wx_lib_include_directories(wxwebview ${WEBKIT_INCLUDE_DIR})
        wx_lib_link_libraries(wxwebview PUBLIC ${WEBKIT_LIBRARIES})
    endif()
endif()

# webkit extension plugin
# we can't use (all of the) macros and functions because this library should
# always be build as a shared libary, and not included in the monolithic build.
if(WXGTK AND wxUSE_WEBVIEW_WEBKIT2)
    wx_append_sources(WEBKIT2_EXT_FILES WEBVIEW_WEBKIT2_EXTENSION)
    add_library(wxwebkit2_ext SHARED ${WEBKIT2_EXT_FILES})
    wx_set_target_properties(wxwebkit2_ext IS_PLUGIN)
    set_target_properties(wxwebkit2_ext PROPERTIES NO_SONAME 1)

    # Change output name to match expected name in webview_webkit2.cpp: webkit2_ext*
    set(lib_unicode)
    if(wxUSE_UNICODE)
        set(lib_unicode "u")
    endif()

    set(lib_rls)
    set(lib_dbg)
    if(WIN32_MSVC_NAMING)
        set(lib_dbg "d")
    endif()

    if(wxVERSION_IS_DEV)
        set(WX_WEB_EXT_VERSION "${wxMAJOR_VERSION}.${wxMINOR_VERSION}.${wxRELEASE_NUMBER}")
    else()
        set(WX_WEB_EXT_VERSION "${wxMAJOR_VERSION}.${wxMINOR_VERSION}")
    endif()

    set_target_properties(wxwebkit2_ext PROPERTIES
        OUTPUT_NAME       "webkit2_ext${lib_unicode}${lib_rls}-${WX_WEB_EXT_VERSION}"
        OUTPUT_NAME_DEBUG "webkit2_ext${lib_unicode}${lib_dbg}-${WX_WEB_EXT_VERSION}"
        PREFIX ""
    )

    target_include_directories(wxwebkit2_ext PRIVATE
        ${LIBSOUP_INCLUDE_DIRS}
        ${WEBKIT2_INCLUDE_DIR}
        )
    target_link_libraries(wxwebkit2_ext PUBLIC
        ${LIBSOUP_LIBRARIES}
        ${WEBKIT2_LIBRARIES}
        )

    wx_install(TARGETS wxwebkit2_ext LIBRARY DESTINATION "lib/wx/${WX_WEB_EXT_VERSION}/web-extensions")

    wx_add_dependencies(wxwebview wxwebkit2_ext)
endif()

=== debian/changelog ===
wxwidgets3.2 (3.2.2+dfsg-4) unstable; urgency=medium

  * Skip more tests on specific arches (Closes: #1050238)
  * Clean docs and tests files after build (Closes: #1048120)

 -- Scott Talbert <swt@techie.net>  Wed, 23 Aug 2023 21:54:33 -0400

wxwidgets3.2 (3.2.2+dfsg-3) unstable; urgency=medium

  * Enable build-time unit tests
  * Fix building examples (Closes: #1040688)
  * Add autopkgtests (building samples for now)
  * Unbundle doxygen-awesome-css (Closes: #1021508)

 -- Scott Talbert <swt@techie.net>  Thu, 03 Aug 2023 20:31:45 -0400

wxwidgets3.2 (3.2.2+dfsg-2) unstable; urgency=medium

  * Fix drawing of icons for non-root wxTreeCtrl items.  This
    effectively updates the package to v3.2.2.1 as that was the only
    change in that hotfix release.

 -- Scott Talbert <swt@techie.net>  Thu, 23 Feb 2023 19:23:10 -0500

wxwidgets3.2 (3.2.2+dfsg-1) unstable; urgency=medium

  * d/watch: fix download URL when using GitHub API
  * Update to new upstream release 3.2.2
  * Add Breaks/Replaces to libwxgtk-gl3.2-1 (Closes: #1028427)

 -- Scott Talbert <swt@techie.net>  Sat, 11 Feb 2023 13:15:16 -0500

=== debian/control ===
Source: wxwidgets3.2
Section: libs
Priority: optional
Build-Depends-Indep: doxygen,
                     graphviz,
Build-Depends: debhelper-compat (= 13),
               gettext,
               libexpat1-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libgstreamer-plugins-bad1.0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               libnotify-dev,
               libpng-dev,
               libsm-dev,
               libtiff-dev,
               libwebkit2gtk-4.0-dev,
               libxt-dev,
               locales-all <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
Uploaders: Olly Betts <olly@survex.com>,
           Scott Talbert <swt@techie.net>,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/freewx-team/wxwidgets3.2.git
Vcs-Browser: https://salsa.debian.org/freewx-team/wxwidgets3.2
Homepage: https://www.wxwidgets.org/
Rules-Requires-Root: no

Package: libwxbase3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxbase3.2-0
Replaces: libwxbase3.2-0
Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
 wxBase is a collection of C++ classes providing basic data structures
 (strings, lists, arrays), powerful wxDateTime class for date manipulations,
 portable wrappers around many OS-specific functions allowing the same
 program to work for all supported platforms, wxThread class for writing
 multithreaded programs, and much more.
 .
 wxBase currently supports the following platforms: Generic Unix (Linux,
 FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
 .
 This package is only useful for non-GUI apps.  It offers a subset of the
 classes in libwx_gtk3.2 for use in console apps and daemons.  You do not need
 this package to build or use wxWidgets GUI apps.

Package: libwxgtk3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk3.2-0
Replaces: libwxgtk3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the shared libraries needed to run programs linked
 against wxWidgets.  To use the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed.

Package: libwxgtk3.2-dev
Architecture: any
Section: libdevel
Depends: libgl-dev,
         libglu1-mesa-dev,
         libwxbase3.2-1 (= ${binary:Version}),
         libwxgtk-gl3.2-1 (= ${binary:Version}),
         libwxgtk3.2-1 (= ${binary:Version}),
         wx-common,
         wx3.2-headers (= ${source:Version}),
         ${misc:Depends},
Multi-Arch: same
Suggests: gettext,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs.  If you
 want to compile apps using the (optional) glcanvas library you will need
 to have Mesa or OpenGL installed too.
 .
 This package also provides the wx-config script.

Package: libwxgtk-gl3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk3.2-0
Replaces: libwxgtk3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 gl library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_gl.

Package: libwxgtk-media3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk-media3.2-0
Replaces: libwxgtk-media3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_media.

Package: libwxgtk-media3.2-dev
Architecture: any
Section: libdevel
Depends: libwxgtk-media3.2-1 (= ${binary:Version}),
         libwxgtk3.2-dev (= ${binary:Version}),
         wx-common,
         wx3.2-headers (= ${source:Version}),
         ${misc:Depends},
Multi-Arch: same
Suggests: gettext,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxMediaCtrl class.

Package: libwxgtk-webview3.2-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Breaks: libwxgtk-webview3.2-0
Replaces: libwxgtk-webview3.2-0
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the media shared libraries needed to run programs linked
 against libwx_gtk3u_webview.

Package: libwxgtk-webview3.2-dev
Architecture: any
Section: libdevel
Depends: libwxgtk-webview3.2-1 (= ${binary:Version}),
         libwxgtk3.2-dev (= ${binary:Version}),
         wx-common,
         wx3.2-headers (= ${source:Version}),
         ${misc:Depends},
Multi-Arch: same
Suggests: gettext,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library development)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides files needed to compile wxWidgets programs using the
 wxWebView class.

Package: wx-common
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
         ${shlibs:Depends},
Recommends: zip,
Description: wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides common support files not bound to any
 particular wxWidgets release, such as font metrics required by some
 ports, and miscellaneous developer aids and binary utilities.

Package: wx3.2-headers
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
Description: wxWidgets Cross-platform C++ GUI toolkit (header files)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the common header files required to build applications
 using the wxWidgets toolkit.

Package: wx3.2-i18n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Provides: wx-i18n,
Section: localization
Description: wxWidgets Cross-platform C++ GUI toolkit (i18n support)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides the i18n message catalogs for wxWidgets.

Package: wx3.2-examples
Architecture: all
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends},
Suggests: libwxgtk3.2-dev,
          wx3.2-doc,
Description: wxWidgets Cross-platform C++ GUI toolkit (examples)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package contains examples of using the wxWidgets toolkit in
 C++.

Package: wx3.2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: doxygen-awesome-css,
         ${misc:Depends},
Suggests: doc-base,
          www-browser,
Description: wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wxWidgets (formerly known as wxWindows) is a class library for C++ providing
 GUI components and other facilities on several popular platforms (and some
 unpopular ones as well).
 .
 This package provides a HTML version of the wxWidgets reference manual.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/buildopts.mk

TEST_FILTER = ~[.]
TEST_GUI_FILTER = ~[.]
ifneq (,$(filter $(DEB_HOST_ARCH), alpha mips64el mipsel riscv64 s390x))
TEST_FILTER += ~[special-file]
endif
ifneq (,$(filter $(DEB_HOST_ARCH), alpha hppa mips64el ppc64 riscv64 s390x sparc64 x32))
TEST_GUI_FILTER += ~WebView
endif
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
TEST_GUI_FILTER += ~wxImage::ChangeColours
endif
ifneq (,$(filter $(DEB_HOST_ARCH), hppa mips64el riscv64 sparc64))
TEST_GUI_FILTER += ~wxImage::Paste
endif

%:
	dh $@

override_dh_autoreconf:

override_dh_auto_configure:
	dh_auto_configure -- \
		GREP=/bin/grep \
		--disable-glcanvasegl \
		--enable-repro-build

override_dh_auto_install:
	dh_auto_install
	sed "s/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g" debian/libwxgtk3.2-dev.alternatives.in > debian/libwxgtk3.2-dev.alternatives
	mv debian/tmp/usr/bin/wxrc-3.2 debian/tmp/usr/bin/wxrc

override_dh_install:
	dh_install
	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*gl*.so.*
	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*media*.so.*
	rm -f debian/libwxgtk3.2-1/usr/lib/*/libwx_gtk*webview*.so.*
	rm -f debian/libwxgtk3.2-dev/usr/lib/*/libwx_gtk*media*.so
	rm -f debian/libwxgtk3.2-dev/usr/lib/*/libwx_gtk*webview*.so

override_dh_installdocs-indep:
	WX_SKIP_DOXYGEN_VERSION_CHECK=1	docs/doxygen/regen.sh html
	dh_installdocs
	find debian/wx3.2-doc \( -name '*.dot' -o -name '*.md5' \) -delete

override_dh_installexamples-indep:
	dh_installexamples

	for f in `find debian/wx3.2-examples -name makefile.unx` ; do \
		mv $$f `dirname $$f`/Makefile ; \
	done

	# don't install files from the examples which are only useful on other
	# platforms (the "horse*" files are a special case, as the image sample
	# uses various foreign image formats as data).
	find debian/wx3.2-examples \( \
		-name 'Makefile.in' -o \
		-name 'Info*.plist*' -o \
		-name 'makefile.*' -o \
		-name '*.bat' -o \
		-name '*.bdsproj' -o \
		-name '*.cur' -o \
		-name '*.dsp' -o \
		-name '*.dsw' -o \
		-name '*.icc' -o \
		-name '*.icns' -o \
		-name '*.ico' -o \
		-name '*.mms' -o \
		-name '*.pbxproj' -o \
		-name '*.plc' -o \
		-name '*.r' -o \
		-name '*.rc' -o \
		-name '*.rc?' -o \
		-name '*.vcproj' \
	    \) \! -name 'horse*' -delete

	# We end up with some empty directories which only had OS X build stuff
	# in, at least in 3.0.2.
	find debian/wx3.2-examples -type d -empty -delete

override_dh_auto_test: HOME=$(CURDIR)/debian/.debhelper/generated/_source/home
override_dh_auto_test:
	make -j$(DEB_BUILD_OPTION_PARALLEL) -C tests
	cd tests && ./test $(TEST_FILTER)
	cd tests && wxUSE_XVFB=1 xvfb-run -a ./test_gui $(TEST_GUI_FILTER)

override_dh_auto_clean:
	dh_auto_clean
	[ -f tests/Makefile ] && make -j$(DEB_BUILD_OPTION_PARALLEL) -C tests distclean || true
	find demos -name Makefile -delete
	find samples -name Makefile -delete
	find tests -name Makefile -delete
	find utils -name Makefile -delete

## wxwidgets3.2 3.2.4%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,30 @@
 Priority: optional
 Build-Depends-Indep: doxygen,
                      graphviz,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), ca-certificates <!nocheck>,
+               debhelper-compat (= 13),
                gettext,
+               libcurl4-openssl-dev,
                libexpat1-dev,
                libgl-dev,
                libglu1-mesa-dev,
                libgstreamer-plugins-bad1.0-dev,
                libgtk-3-dev,
                libjpeg-dev,
+               liblzma-dev,
                libnotify-dev,
                libpng-dev,
                libsm-dev,
                libtiff-dev,
-               libwebkit2gtk-4.0-dev,
+               libwebkit2gtk-4.1-dev,
                libxt-dev,
                locales-all <!nocheck>,
+               python3-httpbin <!nocheck>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: wxWidgets Maintainers <team+wx@tracker.debian.org>
 Uploaders: Olly Betts <olly@survex.com>,
            Scott Talbert <swt@techie.net>,
 Standards-Version: 4.6.2
@@ -30,14 +35,15 @@
 Homepage: https://www.wxwidgets.org/
 Rules-Requires-Root: no
 
-Package: libwxbase3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxbase3.2-0
-Replaces: libwxbase3.2-0
+Package: libwxbase3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxbase3.2-1 (<< ${source:Version}), libwxbase3.2-0
+Replaces: libwxbase3.2-1, libwxbase3.2-0
 Description: wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
  wxBase is a collection of C++ classes providing basic data structures
  (strings, lists, arrays), powerful wxDateTime class for date manipulations,
@@ -52,14 +58,15 @@
  classes in libwx_gtk3.2 for use in console apps and daemons.  You do not need
  this package to build or use wxWidgets GUI apps.
 
-Package: libwxgtk3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk3.2-0
-Replaces: libwxgtk3.2-0
+Package: libwxgtk3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk3.2-1 (<< ${source:Version}), libwxgtk3.2-0
+Replaces: libwxgtk3.2-1, libwxgtk3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -74,9 +81,9 @@
 Section: libdevel
 Depends: libgl-dev,
          libglu1-mesa-dev,
-         libwxbase3.2-1 (= ${binary:Version}),
-         libwxgtk-gl3.2-1 (= ${binary:Version}),
-         libwxgtk3.2-1 (= ${binary:Version}),
+         libwxbase3.2-1t64 (= ${binary:Version}),
+         libwxgtk-gl3.2-1t64 (= ${binary:Version}),
+         libwxgtk3.2-1t64 (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
          ${misc:Depends},
@@ -94,14 +101,15 @@
  .
  This package also provides the wx-config script.
 
-Package: libwxgtk-gl3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk3.2-0
-Replaces: libwxgtk3.2-0
+Package: libwxgtk-gl3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-gl3.2-1 (<< ${source:Version}), libwxgtk3.2-0
+Replaces: libwxgtk-gl3.2-1, libwxgtk3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 gl library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -110,14 +118,15 @@
  This package provides the media shared libraries needed to run programs linked
  against libwx_gtk3u_gl.
 
-Package: libwxgtk-media3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk-media3.2-0
-Replaces: libwxgtk-media3.2-0
+Package: libwxgtk-media3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-media3.2-1 (<< ${source:Version}), libwxgtk-media3.2-0
+Replaces: libwxgtk-media3.2-1, libwxgtk-media3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 media library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -129,7 +138,7 @@
 Package: libwxgtk-media3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libwxgtk-media3.2-1 (= ${binary:Version}),
+Depends: libwxgtk-media3.2-1t64 (= ${binary:Version}),
          libwxgtk3.2-dev (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
@@ -145,14 +154,15 @@
  This package provides files needed to compile wxWidgets programs using the
  wxMediaCtrl class.
 
-Package: libwxgtk-webview3.2-1
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Multi-Arch: same
-Breaks: libwxgtk-webview3.2-0
-Replaces: libwxgtk-webview3.2-0
+Package: libwxgtk-webview3.2-1t64
+Provides: ${t64:Provides}
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Multi-Arch: same
+Breaks: libwxgtk-webview3.2-1 (<< ${source:Version}), libwxgtk-webview3.2-0
+Replaces: libwxgtk-webview3.2-1, libwxgtk-webview3.2-0
 Description: wxWidgets Cross-platform C++ GUI toolkit (GTK 3 webview library runtime)
  wxWidgets (formerly known as wxWindows) is a class library for C++ providing
  GUI components and other facilities on several popular platforms (and some
@@ -164,7 +174,7 @@
 Package: libwxgtk-webview3.2-dev
 Architecture: any
 Section: libdevel
-Depends: libwxgtk-webview3.2-1 (= ${binary:Version}),
+Depends: libwxgtk-webview3.2-1t64 (= ${binary:Version}),
          libwxgtk3.2-dev (= ${binary:Version}),
          wx-common,
          wx3.2-headers (= ${source:Version}),
